#ifndef __CONTEXT_MENU_H
#define __CONTEXT_MENU_H

#include <qmenu.h>

#include "graphic_components.h"


class GridDesigner;

class DesignerContextMenu {

public:
	DesignerContextMenu(GridDesigner* designer, DesignerItem* item);
	DesignerContextMenu(GridDesigner* designer, DesignerItemMap items);
	
	void exec(const QPoint& screenPos, const QPointF& scenePos);

private:
	DesignerItem* _item;
	DesignerItemMap _items;
	GridDesigner* _designer;
};

#endif __CONTEXT_MENU_H